GDB (xrefs)

Typedefs | Functions | Variables
/tmp/gdb-8.1/gdb/dummy-frame.h File Reference
`#include "frame.h"`

Go to the source code of this file.

## Typedefs
typedef void() | dummy_frame_dtor_ftype(void *data, int registers_valid)

## Functions
void | dummy_frame_push (struct infcall_suspend_state *caller_state, const struct frame_id *dummy_id, ptid_t ptid)
void | dummy_frame_pop (struct frame_id dummy_id, ptid_t ptid)
void | dummy_frame_discard (struct frame_id dummy_id, ptid_t ptid)
void | register_dummy_frame_dtor (struct frame_id dummy_id, ptid_t ptid, dummy_frame_dtor_ftype *dtor, void *dtor_data)
int | find_dummy_frame_dtor (dummy_frame_dtor_ftype *dtor, void *dtor_data)

## Variables
const struct frame_unwind | dummy_frame_unwind

## Typedef Documentation

## ◆ dummy_frame_dtor_ftype

typedef void() dummy_frame_dtor_ftype(void *data, int registers_valid)

Definition at line 59 of file dummy-frame.h.

## Function Documentation

## ◆ dummy_frame_discard()

void dummy_frame_discard | ( | struct frame_id | dummy_id,
|  | ptid_t | ptid
| ) |  |

Definition at line 221 of file dummy-frame.c.

References dummy_frame_id::id, lookup_dummy_frame(), dummy_frame_id::ptid, and remove_dummy_frame().

Referenced by check_longjmp_breakpoint_for_call_dummy().

## ◆ dummy_frame_pop()

void dummy_frame_pop | ( | struct frame_id | dummy_id,
|  | ptid_t | ptid
| ) |  |

Definition at line 205 of file dummy-frame.c.

References gdb_assert, dummy_frame_id::id, lookup_dummy_frame(), pop_dummy_frame(), and dummy_frame_id::ptid.

Referenced by call_function_by_hand_dummy(), and frame_pop().

## ◆ dummy_frame_push()

void dummy_frame_push | ( | struct infcall_suspend_state * | caller_state,
|  | const struct frame_id * | dummy_id,
|  | ptid_t | ptid
| ) |  |

Definition at line 91 of file dummy-frame.c.

References dummy_frame::caller_state, dummy_frame_stack, dummy_frame::id, dummy_frame_id::id, dummy_frame::next, dummy_frame_id::ptid, and XCNEW.

Referenced by call_function_by_hand_dummy().

## ◆ find_dummy_frame_dtor()

int find_dummy_frame_dtor | ( | dummy_frame_dtor_ftype * | dtor,
|  | void * | dtor_data
| ) |  |

Definition at line 254 of file dummy-frame.c.

References dummy_frame_dtor_list::dtor, dummy_frame_dtor_list::dtor_data, dummy_frame::dtor_list, dummy_frame_stack, dummy_frame_dtor_list::next, and dummy_frame::next.

Referenced by compile_object_run().

## ◆ register_dummy_frame_dtor()

void register_dummy_frame_dtor | ( | struct frame_id | dummy_id,
|  | ptid_t | ptid,
|  | dummy_frame_dtor_ftype * | dtor,
|  | void * | dtor_data
| ) |  |

Definition at line 234 of file dummy-frame.c.

References dummy_frame_dtor_list::dtor, dummy_frame_dtor_list::dtor_data, dummy_frame::dtor_list, gdb_assert, dummy_frame_id::id, lookup_dummy_frame(), dummy_frame_dtor_list::next, dummy_frame_id::ptid, and XNEW.

Referenced by call_function_by_hand_dummy().

## Variable Documentation

## ◆ dummy_frame_unwind

const struct frame_unwind dummy_frame_unwind

Definition at line 378 of file dummy-frame.c.

Referenced by frame_unwind_init().